#!/bin/bash

function proceed_check
{
	echo "press Enter to continue; ctl-c to quit"
	read $blah
}

function install_app
{
	wd=$PWD
	rm -fr $1-$2
	tar xzvf $1-$2.tar.gz
	cd $1-$2
	make clean
	./configure
	make
	make install
	proceed_check
	$3
	proceed_check
	cd $wd
	ln -s $1-$2 $1
	proceed_check
}

wd=$PWD
cd /usr/src/
install_app dahdi-linux "2.2.0.1"
install_app dahdi-tools "2.2.0"
install_app asterisk "1.6.0.10" "make samples"
cd $wd
